Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Mar 2016 15:26:15 -0400

>> Indeed, the issue is "don't interfere with the main operation", so
>> prompting is a clear no-no.  Opening a new connection might be
>> acceptable (as long as it doesn't block Emacs for too long, for
>> example).
> Again, Tramp has no chance to determine this in advance. Whether new
> credentials are required interactively, or not, is decided only after
> Tramp has started to open a new connection.

That's OK.  I'm only talking about the intended meaning of
non-essential, independently of any particular use such as in Tramp.
If there's a risk of problems and non-essential is non-nil, then don't
open a new connection.  If there's always such a risk, then never open
a new connection (when non-essential is non-nil).

        Stefan